[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#517134: ocaml-nox: install some files that are also installed by ocaml-compiler-libs

Package: ocaml-nox
Version: 3.11.0-5
Severity: minor

some files are installed both by ocaml-nox and ocaml-compiler-libs:

% dpkg -S outcometree
ocaml-compiler-libs: /usr/lib/ocaml/3.11.0/compiler-libs/typing/outcometree.cmi
ocaml-nox: /usr/lib/ocaml/3.11.0/outcometree.cmi
ocaml-compiler-libs: /usr/lib/ocaml/3.11.0/compiler-libs/typing/outcometree.mli
ocaml-nox: /usr/lib/ocaml/3.11.0/outcometree.mli

ocaml-compiler-libs seems to be the right place for these so I guess these
files should simply not be shipped by ocaml-nox.


-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.utf8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ocaml-nox depends on:
ii  binutils                  2.19.1-1       The GNU assembler, linker and bina
ii  gcc                       4:4.3.2-3      The GNU C compiler
ii  libc6                     2.9-3          GNU C Library: Shared libraries
ii  libncurses5               5.7+20090214-1 shared libraries for terminal hand
ii  libncurses5-dev           5.7+20090214-1 developer's libraries and docs for
ii  ocaml-base-nox            3.11.0-5       Runtime system for OCaml bytecode 
ii  ocaml-interp              3.11.0-5       OCaml interactive interpreter and 

Versions of packages ocaml-nox recommends:
ii  camlp4                        3.11.0-5   Pre Processor Pretty Printer for O
ii  file                          4.26-2     Determines file type using "magic"
pn  ledit                         <none>     (no description available)

Versions of packages ocaml-nox suggests:
ii  libgdbm-dev                   1.8.3-4    GNU dbm database routines (develop
ii  ocaml-doc                     3.10-2     Documentation for Objective Caml a
ii  tuareg-mode                   1:1.45.6-1 An emacs-mode for ocaml programs

-- no debconf information

Reply to: